<?php

namespace AutoAdmin\Bundle\Media\Model\Library;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;


#[ORM\MappedSuperclass]
abstract class AbstractImageTranslation extends AbstractFileTranslation implements ImageMediaTranslationInterface
{
    #[ORM\Column(type: Types::STRING, length: 255, nullable: true)]
    #[Groups(['media'])]
    protected ?string $alt = null;
    public function getAlt(): ?string
    {
        return $this->alt;
    }

    public function setAlt(?string $alt): self
    {
        $this->alt = $alt;

        return $this;
    }
}
